<template lang="pug">
nav.navbar.navbar-light.bg-light.navbar-expand-lg
  a.navbar-brand(href="#")
    h2.align-text-bottom
      slot(name="logo")
  button.navbar-toggler(ref="toggler" type="button" data-toggle="collapse" data-target="#nav" aria-controls="nav" aria-expanded="false" aria-label="Toggle navigation")
    span.navbar-toggler-icon

  .collapse.navbar-collapse(id="nav" ref="nav")
    ul.navbar-nav.mr-auto
      slot

  slot(name="extra")
</template>

<script>
import Vue from 'vue';
import { get } from 'lodash';

/* we directly use bootstrap to handle navbar navigation */
export default Vue.extend({
  name: 'NavBar',
  watch: {
    '$route.name': function() {
      /* hide nav if toggler is visible and displayed */
      if (this.$refs.nav.classList.contains('show') &&
          (get(window.getComputedStyle(this.$refs.toggler, null), 'display') !== 'none')) {
        this.$refs.toggler.click();
      }
    }
  }
});
</script>
